WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/January 2024/13 Jan 2024

RGC v Ebbw Vale

9 photographs Alan Skeates/Huw Evans Agency Saturday
Prints from £8 Order prints
130124 - RGC v Ebbw Vale - Indigo Group Premiership - Dan Owen of RGC is tackled by Curtis Gregory 001
CDF_130124_RGC_v_Ebbw_Vale_01.JPG · Alan Skeates/Huw Evans Agency130124 - RGC v Ebbw Vale - Indigo Group Premiership - Dan Owen of RGC is tackled by Curtis Gregory
130124 - RGC v Ebbw Vale - Indigo Group Premiership - Sam Stoddard of RGC is tackled by Dom Franchi of Ebbw Vale RFC 002
CDF_130124_RGC_v_Ebbw_Vale_02.JPG · Alan Skeates/Huw Evans Agency130124 - RGC v Ebbw Vale - Indigo Group Premiership - Sam Stoddard of RGC is tackled by Dom Franchi of Ebbw Vale RFC
130124 - RGC v Ebbw Vale - Indigo Group Premiership - Jason Strange Head coach of Ebbw Vale RFC 003
CDF_130124_RGC_v_Ebbw_Vale_03.JPG · Alan Skeates/Huw Evans Agency130124 - RGC v Ebbw Vale - Indigo Group Premiership - Jason Strange Head coach of Ebbw Vale RFC
130124 - RGC v Ebbw Vale - Indigo Group Premiership - Teri Jones Head coach of RGC 004
CDF_130124_RGC_v_Ebbw_Vale_04.JPG · Alan Skeates/Huw Evans Agency130124 - RGC v Ebbw Vale - Indigo Group Premiership - Teri Jones Head coach of RGC
130124 - RGC v Ebbw Vale - Indigo Group Premiership - Players respect the minutes silence for the great JPR Williams 005
CDF_130124_RGC_v_Ebbw_Vale_05.JPG · Alan Skeates/Huw Evans Agency130124 - RGC v Ebbw Vale - Indigo Group Premiership - Players respect the minutes silence for the great JPR Williams
130124 - RGC v Ebbw Vale - Indigo Group Premiership - Jon Evans of Ebbw Vale RFC passes the ball from the ruck 006
CDF_130124_RGC_v_Ebbw_Vale_06.JPG · Alan Skeates/Huw Evans Agency130124 - RGC v Ebbw Vale - Indigo Group Premiership - Jon Evans of Ebbw Vale RFC passes the ball from the ruck
130124 - RGC v Ebbw Vale - Indigo Group Premiership - Dafydd Williams of RGC is tackled by Morgan Richards and Dom Franchi of Ebbw Vale RFC 007
CDF_130124_RGC_v_Ebbw_Vale_07.JPG · Alan Skeates/Huw Evans Agency130124 - RGC v Ebbw Vale - Indigo Group Premiership - Dafydd Williams of RGC is tackled by Morgan Richards and Dom Franchi of Ebbw Vale RFC
130124 - RGC v Ebbw Vale - Indigo Group Premiership - Ilan Evans of RGC goes up for the ball in the line out 008
CDF_130124_RGC_v_Ebbw_Vale_08.JPG · Alan Skeates/Huw Evans Agency130124 - RGC v Ebbw Vale - Indigo Group Premiership - Ilan Evans of RGC goes up for the ball in the line out
130124 - RGC v Ebbw Vale - Indigo Group Premiership - Sam Earl-Jones kicks a penalty 009
CDF_130124_RGC_v_Ebbw_Vale_09.JPG · Alan Skeates/Huw Evans Agency130124 - RGC v Ebbw Vale - Indigo Group Premiership - Sam Earl-Jones kicks a penalty

More from around this date

Sat 13 JanAberavon 33-42 Wales U20 Sat 13 JanZebre Parma 20-17 Dragons RFC Sat 13 JanDoncaster Rovers 0-1 Newport County Sat 13 JanCardiff City 0-3 Leeds United Sat 13 JanBirmingham City 2-2 Swansea City Sat 13 JanASM Clermont Auvergne 38-17 Scarlets Sat 13 JanCardiff Rugby 15-54 Harlequins Sat 13 JanWelsh Feathers v Uganda
RGC v Ebbw Vale · 13 Jan 2024
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured